list.arraylist

## Class StackArrayList

- java.lang.Object
- - list.listinterface.BaseList
  - - list.arraylist.BaseArrayList
    - - list.arraylist.StackArrayList

- All Implemented Interfaces:
    BaseListInterface, CommonBase, StackList

      class StackArrayList
      extends BaseArrayList
      implements StackList

  Základní implementace zásobníku.

  Popis: implememtuje zásobník pomocí seznamu BaseArrayList.

  Užití: instance této třídy lze používat v aplikacích.

- - ### Field Summary

    - ### Fields inherited from class list.arraylist.BaseArrayList

      `first, store`

    - ### Fields inherited from class list.listinterface.BaseList

      `moveCounter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackArrayList(int aSize)` Vyrobí instanci třídy StackArrayList.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `insert(Element elem)` Vloží elem před běžný prvek.
    `Element` | `remove()` Odstraní běžný prvek.

    - ### Methods inherited from class list.arraylist.BaseArrayList

      `getElement, getSize, moveFirst, setElement`

    - ### Methods inherited from class list.listinterface.BaseList

      `getMoveCounter, resetMoveCounter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface list.listinterface.BaseListInterface

      `getSize, moveFirst`

    - ### Methods inherited from interface list.listinterface.CommonBase

      `getElement, getMoveCounter, resetMoveCounter, setElement`

- - ### Constructor Detail

    - #### StackArrayList

          public StackArrayList(int aSize)

      Vyrobí instanci třídy StackArrayList.

      Užití: zejména k inicializaci proměnných typu StackArrayList.

      Parameters:
        `aSize` - požadovaná kapacita seznamu

  - ### Method Detail

    - #### insert

          public void insert(Element elem)

      Vloží elem před běžný prvek.

      Popis: Běžný prvek je hlava seznamu. Proto uloží nový prvek na začátek seznamu. Začátek seznamu je ten prvek pole, jehož index je obsažen v proměnné first.

      Užití: Typ parametru se řídí deklarací typu Element.

      Vyžaduje: not IsFull

      Splní: not IsEmpty

      Mění: přidá elem na začátek seznamu

      Specified by:
        `insert` in interface `StackList`
      Parameters:
        `elem` - prvek, který má být uložen na začátek seznamu

    - #### remove

          public Element remove()

      Odstraní běžný prvek.

      Popis: vyjme prvek z hlavy seznamu.

      Užití: typ výsledku se řídí specializací typu Element.

      Vyžaduje: not IsEmpty

      Splní: not IsFull

      Specified by:
        `remove` in interface `BaseListInterface`
      Specified by:
        `remove` in class `BaseList`
      Returns:
        prvek, který byl hlavou seznamu